---
title: Welcome
---

# Welcome to Caddy

Caddy is a powerful, extensible platform to serve your sites, services, and apps, written in Go. If you're new to Caddy, the way you serve the Web is about to change.

## Introduction

Most people use Caddy as a web server or proxy, but at its core, Caddy is a server of servers. With the [requisite modules](/docs/modules/), it can take on the role of any long-running process!

Configuration is both dynamic and exportable with [Caddy's API](/docs/api). Although no config files required, you can still use them; most people's favorite way of configuring Caddy is using the [Caddyfile](/docs/caddyfile). The format of the config document takes many forms with [config adapters](/docs/config-adapters), but Caddy's native config language is [JSON](/docs/json/).

Caddy compiles for all major platforms and has no runtime dependencies.


## First time?

No problem! **We suggest that _everyone_ regardless of experience go through our [Getting Started guide](/docs/getting-started).** It will give you a well-rounded perspective on your new web server that will be invaluable as you continue learning.

If you only have a few minutes and need to hit the ground running, try one of our [quick starts](/docs/quick-starts).

For expanded content like specific examples, check out [our community wiki](https://caddy.community/c/wiki/13) - then contribute to it!

We recommend sticking to these official resources to [install](/docs/install), [configure](/docs/caddyfile), and [run](/docs/command-line) Caddy, rather than running commands or copying config snippets from random blogs and Q&A boards. You will find that our material is generally more accurate and up-to-date. We also encourage you to craft your own configurations to ensure that you understand how your server works so you'll be more able to fix problems if they arise later on.

But whatever you do, enjoy using your new web server. Caddy is an experience unlike any other server software you've used!


## Getting help

If you need help using Caddy, please ask nicely in [our community forum](https://caddy.community). We would be happy to help you. All we ask is that you fill out the help template as thoroughly as possible, and pay it forward by helping others. We always need more helpers.

Only use [our issue tracker](https://github.com/caddyserver/caddy/issues) if you've positively identified a bug in Caddy or have a specific feature request.

This website is [maintained on GitHub](https://github.com/caddyserver/website). To submit improvements, open an issue or pull request.

Thank you for participating in our community! We hope Caddy will serve you well.
